Wt: Wt::WTableRow Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::WTableRow Class Reference

A table row. More...

`#include <Wt/WTableRow>`

Inheritance diagram for Wt::WTableRow:
[legend]

List of all members.

## Public Member Functions
WTable * | table () const
| Returns the table to which this row belongs.
WTableCell * | elementAt (int column)
| Access the row element at the given column.
int | rowNum () const
| Returns the row number of this row in the table.
void | setHeight (const WLength &height)
| Sets the row height.
WLength | height () const
| Returns the row height.
void | setStyleClass (const WString &style)
| Sets the CSS style class for this row.
const WString & | styleClass () const
| Returns the CSS style class for this row.
void | setHidden (bool how)
| Sets whether the row must be hidden.
bool | isHidden () const
| Returns whether the rows is hidden.
void | hide ()
| Hides the row.
void | show ()
| Shows the row.
void | setId (const std::string &id)
| Sets the CSS Id.
virtual const std::string | id () const
| Returns the (unique) identifier for this object.

## Detailed Description

A table row.

A WTableRow is returned by WTable::rowAt() and managing various properties of a single row in a table (it is however not a widget).

You cannot access table cells through the row. Instead, to access table cells, see WTable::elementAt().

A table row corresponds to the HTML `<tr>` tag.

See also:
  WTable, WTableColumn

## Member Function Documentation

WTableCell * Wt::WTableRow::elementAt | ( | int | column | ) |

Access the row element at the given column.

Like WTable::elementAt(), if the column is beyond the current table dimensions, then the table is expanded automatically.

WLength Wt::WTableRow::height | ( |  | ) | const

Returns the row height.

See also:
  setHeight(const WLength&)

void Wt::WTableRow::hide | ( |  | ) |

Hides the row.

See also:
  setHidden()

const std::string Wt::WTableRow::id | ( |  | ) | const`[virtual]`

Returns the (unique) identifier for this object.

For a WWidget, this corresponds to the id of the DOM element that represents the widget. This is not entirely unique, since a composite widget shares the same id as its implementation.

By default, the id is auto-generated, unless a custom id is set for a widget using WWidget::setId(). The auto-generated id is created by concatenating objectName() with a unique number.

See also:
  WWidget::jsRef()

Reimplemented from Wt::WObject.

bool Wt::WTableRow::isHidden | ( |  | ) | const

Returns whether the rows is hidden.

See also:
  setHidden()

int Wt::WTableRow::rowNum | ( |  | ) | const

Returns the row number of this row in the table.

See also:
  WTable::rowAt()

void Wt::WTableRow::setHeight | ( | const WLength & | height | ) |

Sets the row height.

The default row height is WLength::Auto.

See also:
  height(), WWidget::resize()

void Wt::WTableRow::setHidden | ( | bool | how | ) |

Sets whether the row must be hidden.

Hide or show the row.

The default value is `false` (row is not hidden).

See also:
  hide(), show()

void Wt::WTableRow::setId | ( | const std::string & | id | ) |

Sets the CSS Id.

Sets a custom Id. Note that the Id must be unique across the whole widget tree, can only be set right after construction and cannot be changed.

See also:
  WObject::id()

void Wt::WTableRow::setStyleClass | ( | const WString & | style | ) |

Sets the CSS style class for this row.

The style is inherited by all table cells in this row.

See also:
  styleClass(), WWidget::setStyleClass()

void Wt::WTableRow::show | ( |  | ) |

Shows the row.

See also:
  setHidden()

const WString& Wt::WTableRow::styleClass | ( |  | ) | const

Returns the CSS style class for this row.

See also:
  styleClass(), WWidget::styleClass()

WTable* Wt::WTableRow::table | ( |  | ) | const

Returns the table to which this row belongs.

See also:
  WTable::rowAt()

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator